#include "Delay.hpp"
#include "stm32f10x_gpio.h"
#include "stm32f10x_rcc.h"
#include "stm32f10x.h"                  // Device header
#include "ztLed.hpp"

int main(void){
	zt::Led leda0(RCC_APB2Periph_GPIOA,GPIO_Pin_0,GPIOA);
	zt::Led ledc13(RCC_APB2Periph_GPIOC,GPIO_Pin_13,GPIOC);

	u32 delayTime = 50;
	while(true){
		delayTime+=1;
		leda0.setOn();
		ledc13.setOff();
		delay_ms(delayTime);
		leda0.setOff();
		ledc13.setOn();
		delay_ms(delayTime);
	}
}